<div class="card bg-light">
  <div class="card-header">Ticket de compra: {{compra.descripcion}}</div>
  <div class="card-body">
    <!--h4 class="card-title">
      <a [routerLink]="['/proveedors']" class="btn btn-light btn-xs">&laquo; volver</a>
    </h4-->

    <form #compraForm="ngForm">
      <div class="form-group row" *ngIf="compra.proveedor">
        <label for="proveedor" class="col-sm-2 col-form-label">Proveedor</label>
        <div class="col-sm-6">
          <input type="text" name="proveedor" value="{{compra.proveedor.nombre}} " class="form-control" disabled>
        </div>
      </div>
      <div class="form-group row" *ngIf="compra.proveedor">
        <label for="proveedor" class="col-sm-2 col-form-label">Encargado</label>
        <div class="col-sm-6">
          <input type="text" name="proveedor" value="{{compra.proveedor.encargado}}" class="form-control" disabled>
        </div>
      </div>
      <div class="form-group row" *ngIf="compra.proveedor">
        <label for="proveedor" class="col-sm-2 col-form-label">RUC</label>
        <div class="col-sm-6">
          <input type="text" name="proveedor" value="{{compra.proveedor.cedula}} " class="form-control" disabled>
        </div>
      </div>
      <div class="form-group row">
        <label for="descripcion" class="col-sm-2 col-form-label">Tipo de Documento</label>
        <div class="col-sm-6">
          <input type="text" name="descripcion" placeholder="contado o credito o a consignacion" [(ngModel)]="compra.descripcion" class="form-control" required #descripcion="ngModel">
          <div class="alert alert-danger" *ngIf="descripcion.invalid && descripcion.touched || descripcion.invalid && compraForm.submitted">
            La descripción es requerida.
          </div>
        </div>
      </div>
      <div class="form-group row">
        <label for="observacion" class="col-sm-2 col-form-label">Observaciones</label>
        <div class="col-sm-6">
          <textarea name="observacion" placeholder="numero de factura de  compra, ticket y fecha " [(ngModel)]="compra.observacion" class="form-control"></textarea>
        </div>
      </div>

      <div class="form-group row">
        <div class="col-sm-6">
          <mat-form-field class="col-12">
            <input type="text" placeholder="Añadir producto" aria-label="Productos" matInput [formControl]="autocompleteControl" [matAutocomplete]="auto">
            <mat-autocomplete #auto="matAutocomplete" [displayWith]="mostrarNombre" (optionSelected)="seleccionarProducto($event)">
              <mat-option *ngFor="let producto of productosFiltrados | async" [value]="producto">
                {{producto.nombre}}
              </mat-option>
            </mat-autocomplete>
          </mat-form-field>
          <div class="alert alert-danger" *ngIf="autocompleteControl.invalid && compraForm.submitted">
            La compra no puede no tener líneas!.
          </div>
        </div>
      </div>
      <div class="alert alert-info my-4" *ngIf="compra.items.length == 0">
        No hay líneas asignadas para la compra. Debe agregar al menos una!
      </div>
      <table class="table table-striped table-hover table-sm" *ngIf="compra.items.length > 0">
        <thead>
          <tr>
            
            <th>Producto</th>
            <th>medida</th>

            <th>Cantidad</th>

            <th>Costo</th>
            <th>Total</th>
            <th>Anular</th>
          </tr>
        </thead>
        <tbody>
          <tr *ngFor="let item of compra.items">
            <td class="col-3">{{item.producto.nombre}}</td>
            <td class="col-2">{{item.producto.medida}}</td>

            <td  ><input type="number" value="{{item.cantidad}}" class="form-control col-sm-6" (change)="actualizarCantidad(item.producto.id, $event)"></td>

            <td><input type="number" value="{{item.costo}}" class="form-control col-sm-8" (change)="actualizarCosto(item.producto.id, $event)"></td>
          
            <td><input type="number" disabled value="{{item.calcularImporte()}}" class="form-control col-sm-8"></td>

            <td><button class="btn btn-danger btn-sm" type="button"
              (click)="eliminarItemCompra(item.producto.id)">x</button></td>
          </tr>
        </tbody>
      </table>
      <h5 class="float-right" *ngIf="compra.items.length > 0">Gran Total: <span class="badge badge-secondary">{{compra.calcularGranTotal()}}</span></h5>

      <div class="form-group row">
        <div class="col-sm-6">
          <input type="submit" (click)="create(compraForm)" value="Crear Compra" class="btn btn-secondary">
        </div>
      </div>
    </form>

  </div>
</div>
